# Uses of Interface
org.jfree.chart3d.style.ChartStyle

Packages that use ChartStyle
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.legend
Classes related to chart legends.
org.jfree.chart3d.style
Classes for controlling chart styles.

## Uses of ChartStyle in org.jfree.chart3d

Methods in org.jfree.chart3d that return ChartStyle
Modifier and Type
Method
Description
`static ChartStyle`
Chart3DFactory.`getDefaultChartStyle()`
Returns a new instance of the default chart style (so that, by default, all charts will have an independent style instance).
`ChartStyle`
Chart3D.`getStyle()`
Returns the chart style.
Methods in org.jfree.chart3d with parameters of type ChartStyle
Modifier and Type
Method
Description
`static void`
Chart3DFactory.`setDefaultChartStyle(ChartStyle style)`
Sets the style that will be used when creating new charts.
`void`
Chart3D.`setStyle(ChartStyle style)`
Sets (and applies) the specified chart style.
Constructors in org.jfree.chart3d with parameters of type ChartStyle
Modifier
Constructor
Description
``
`Chart3D(String title, String subtitle, Plot3D plot, ChartStyle style)`
Creates a 3D chart for the specified plot using the supplied style.

## Uses of ChartStyle in org.jfree.chart3d.legend

Methods in org.jfree.chart3d.legend with parameters of type ChartStyle
Modifier and Type
Method
Description
`TableElement`
ColorScaleLegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates a new color scale legend with the specified orientation.
`TableElement`
LegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates a legend for the specified plot.
`TableElement`
StandardLegendBuilder.`createLegend(Plot3D plot, Anchor2D anchor, Orientation orientation, ChartStyle style)`
Creates and returns a legend (instance of `TableElement`) that provides a visual key for the data series in the specified plot.

## Uses of ChartStyle in org.jfree.chart3d.style

Classes in org.jfree.chart3d.style that implement ChartStyle
Modifier and Type
Class
Description
`class`
`StandardChartStyle`
A standard implementation of the `ChartStyle` interface.
Methods in org.jfree.chart3d.style that return ChartStyle
Modifier and Type
Method
Description
`ChartStyle`
ChartStyle.`clone()`
Returns a clone of the chart style.
`ChartStyle`
StandardChartStyle.`clone()`
Returns a clone of the chart style (note that the change listeners are not cloned).
`static ChartStyle`
ChartStyles.`createIceCubeStyle()`
Creates and returns a new instance of the "Pastel" chart style.
`static ChartStyle`
ChartStyles.`createLogicalFontStyle()`
Creates and returns a new instance of the "Logical Font" chart style.
`static ChartStyle`
ChartStyles.`createOrson1Style()`
Creates and returns a new instance of the "Orson 1" chart style.
`static ChartStyle`
ChartStyles.`createOrson2Style()`
Creates and returns a new instance of the "Orson 2" chart style.
`static ChartStyle`
ChartStyles.`createPastelStyle()`
Creates and returns a new instance of the "Pastel" chart style.
`ChartStyle`
ChartStyleChangeEvent.`getChartStyle()`
Returns the chart style that this event is associated with.
Constructors in org.jfree.chart3d.style with parameters of type ChartStyle
Modifier
Constructor
Description
``
`ChartStyleChangeEvent(Object source, ChartStyle style)`
Creates a new event.
``
`ChartStyleChangeEvent(ChartStyle style)`
Creates a new event.
``
`ChartStyler(ChartStyle style)`
Creates a new instance.